com.aliyun.svideosdk.common.struct.project

## Class PaintTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.GlobalTrack
    - - com.aliyun.svideosdk.common.struct.project.PaintTrack

-     public class PaintTrack
      extends GlobalTrack

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `GlobalTrack.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaintTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CanvasInfo` | `getCanvasInfo()` Gets the canvas information.
    `Source` | `getSource()` Gets the paint resource.
    `float` | `getTimelineIn()` Gets the time when the paint appears on the stream timeline.
    `float` | `getTimelineOut()` Gets the time when the paint disappears on the stream timeline.
    `void` | `setCanvasInfo(CanvasInfo canvasInfo)` Sets the canvas information.
    `void` | `setSource(Source source)` Sets the paint resource.
    `void` | `setTimelineIn(float timelineIn)` Sets the time when the paint appears on the stream timeline.
    `void` | `setTimelineOut(float timelineOut)` Sets the time when the paint disappears on the stream timeline.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaintTrack

          public PaintTrack()

  - ### Method Detail

    - #### getSource

          public Source getSource()

      Gets the paint resource.
      Returns:
        the paint resource.

    - #### setSource

          public void setSource(Source source)

      Sets the paint resource.
      Parameters:
        `source` - the paint resource.

    - #### getTimelineIn

          public float getTimelineIn()

      Gets the time when the paint appears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Returns:
        timeline in

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      Sets the time when the paint appears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `timelineIn` - timeline in

    - #### getTimelineOut

          public float getTimelineOut()

      Gets the time when the paint disappears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Returns:
        timeline out

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      Sets the time when the paint disappears on the stream timeline. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `timelineOut` - timeline in

    - #### getCanvasInfo

          public CanvasInfo getCanvasInfo()

      Gets the canvas information. It is not recommended to call this method.
      Returns:
        `CanvasInfo`

    - #### setCanvasInfo

          public void setCanvasInfo(CanvasInfo canvasInfo)

      Sets the canvas information. It is not recommended to call this method.
      Parameters:
        `canvasInfo` - The canvas information.